Bug 189742 - *** glibc detected *** /usr/lib/openoffice.org2.0/program/soffice.bin: realloc(): invalid pointer: 0xb46a2094 ***
*** glibc detected *** /usr/lib/openoffice.org2.0/program/soffice.bin: reallo...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Caolan McNamara
:
: 189758 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-24 04:39 EDT by sangu
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.0.2-5.10.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-25 07:09:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2006-04-24 04:39:05 EDT
Description of problem:

*** glibc detected *** /usr/lib/openoffice.org2.0/program/soffice.bin:
realloc(): invalid pointer: 0xb46a2094 ***
======= Backtrace: =========
/lib/libc.so.6(__libc_realloc+0x305)[0xb5183d]
/usr/lib/libfontconfig.so.1(FcPatternInsertElt+0x17e)[0x3bf3b6e]
/usr/lib/libfontconfig.so.1[0x3be361f]
/usr/lib/libfontconfig.so.1(FcConfigSubstituteWithPat+0x684)[0x3be3cd4]
/usr/lib/libfontconfig.so.1(FcConfigSubstitute+0x33)[0x3be41a3]
/usr/lib/openoffice.org2.0/program/libpsp680li.so[0x62426f8]
/usr/lib/openoffice.org2.0/program/libpsp680li.so(_ZN3psp16PrintFontManager14initFontconfigEv+0x29b)[0x6241cc1]
/usr/lib/openoffice.org2.0/program/libpsp680li.so(_ZN3psp16PrintFontManager10initializeEPv+0xdb)[0x622e0ad]
/usr/lib/openoffice.org2.0/program/libpsp680li.so(_ZN3psp16PrintFontManager3getEv+0x51)[0x622f0e7]
/usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so[0x6b504c8]
/usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so[0x6b53344]
/usr/lib/openoffice.org2.0/program/libvcl680li.so[0x2f5611]
/usr/lib/openoffice.org2.0/program/libvcl680li.so[0x29d6d7]
/usr/lib/openoffice.org2.0/program/libvcl680li.so[0x29d7d1]
/usr/lib/openoffice.org2.0/program/libvcl680li.so[0x300c90]
/usr/lib/openoffice.org2.0/program/libvcl680li.so(_ZN10WorkWindowC1EP6Windowx+0x40)[0x300e66]
/usr/lib/openoffice.org2.0/program/libtk680li.so[0xff1a25]
/usr/lib/openoffice.org2.0/program/libtk680li.so[0xff2725]
/usr/lib/openoffice.org2.0/program/libfwk680li.so[0x25ca36e]
/usr/lib/openoffice.org2.0/program/libfwk680li.so[0x25ca77b]
/usr/lib/openoffice.org2.0/program/libfwk680li.so[0x258d62d]
/usr/lib/openoffice.org2.0/program/libsoffice.so(_ZN7desktop7Desktop4MainEv+0xcee)[0x612b32]
/usr/lib/openoffice.org2.0/program/libvcl680li.so[0x1bcd0e]
/usr/lib/openoffice.org2.0/program/libvcl680li.so(_Z6SVMainv+0x2b)[0x1bcdc1]
/usr/lib/openoffice.org2.0/program/libsoffice.so(sal_main+0x57)[0x60d2d3]
/usr/lib/openoffice.org2.0/program/libsoffice.so(main+0x27)[0x60d31f]
/lib/libc.so.6(__libc_start_main+0xdc)[0xaff7e4]
/usr/lib/openoffice.org2.0/program/soffice.bin[0x80484b1]
======= Memory map: ========
00111000-00134000 r-xp 00000000 08:09 7157123    /lib/libm-2.4.so
00134000-00135000 r-xp 00022000 08:09 7157123    /lib/libm-2.4.so
00135000-00136000 rwxp 00023000 08:09 7157123    /lib/libm-2.4.so
00136000-00383000 r-xp 00000000 08:09 1666493   
/usr/lib/openoffice.org2.0/program/libvcl680li.so
00383000-00395000 rwxp 0024c000 08:09 1666493   
/usr/lib/openoffice.org2.0/program/libvcl680li.so
00395000-00396000 rwxp 00395000 00:00 0
00396000-003b1000 r-xp 00000000 08:09 1666496   
/usr/lib/openoffice.org2.0/program/libvos3gcc3.so
003b1000-003b3000 rwxp 0001a000 08:09 1666496   
/usr/lib/openoffice.org2.0/program/libvos3gcc3.so
003b3000-003c2000 r-xp 00000000 08:09 7656543    /usr/lib/libXext.so.6.4.0
003c2000-003c3000 rwxp 0000e000 08:09 7656543    /usr/lib/libXext.so.6.4.0
003c3000-003cb000 r-xp 00000000 08:09 7656342    /usr/lib/libSM.so.6.0.0
003cb000-003cc000 rwxp 00008000 08:09 7656342    /usr/lib/libSM.so.6.0.0
003cc000-003ce000 r-xp 00000000 08:09 7157121    /lib/libdl-2.4.so
003ce000-003cf000 r-xp 00001000 08:09 7157121    /lib/libdl-2.4.so
003cf000-003d0000 rwxp 00002000 08:09 7157121    /lib/libdl-2.4.so
003d0000-003d4000 r-xp 00000000 08:09 1666406   
/usr/lib/openoffice.org2.0/program/libjvmaccessgcc3.so.3
003d4000-003d5000 rwxp 00003000 08:09 1666406   
/usr/lib/openoffice.org2.0/program/libjvmaccessgcc3.so.3
003d5000-003d6000 r-xp 00000000 08:09 1046592   
/usr/lib/nvidia/tls/libnvidia-tls.so.1.0.8756
003d6000-003d7000 rwxp 00000000 08:09 1046592   
/usr/lib/nvidia/tls/libnvidia-tls.so.1.0.8756
003d7000-003e2000 r-xp 00000000 08:09 7157195    /lib/libgcc_s-4.1.0-20060420.so.1
003e2000-003e3000 rwxp 0000a000 08:09 7157195    /lib/libgcc_s-4.1.0-20060420.so.1
003e3000-0048b000 r-xp 00000000 08:09 1666463   
/usr/lib/openoffice.org2.0/program/libsvl680li.so
0048b000-00491000 rwxp 000a7000 08:09 1666463   
/usr/lib/openoffice.org2.0/program/libsvl680li.so
00491000-004fb000 r-xp 00000000 08:09 1666491   
/usr/lib/openoffice.org2.0/program/libutl680li.so
004fb000-00500000 rwxp 00069000 08:09 1666491   
/usr/lib/openoffice.org2.0/program/libutl680li.so
00500000-00584000 r-xp 00000000 08:09 1666471   
/usr/lib/openoffice.org2.0/program/libtl680li.so
00584000-00588000 rwxp 00084000 08:09 1666471   
/usr/lib/openoffice.org2.0/program/libtl680li.so
00588000-005e5000 r-xp 00000000 08:09 1666474   
/usr/lib/openoffice.org2.0/program/libucbhelper3gcc3.so
005e5000-005e9000 rwxp 0005d000 08:09 1666474   
/usr/lib/openoffice.org2.0/program/libucbhelper3gcc3.so
005e9000-005ec000 r-xp 00000000 08:09 7652692    /usr/lib/libgmodule-2.0.so.0.1000.2
005ec000-005ed000 rwxp 00002000 08:09 7652692    /usr/lib/libgmodule-2.0.so.0.1000.2
005ee000-0063b000 r-xp 00000000 08:09 1666453   
/usr/lib/openoffice.org2.0/program/libsoffice.so
0063b000-0063e000 rwxp 0004c000 08:09 1666453   
/usr/lib/openoffice.org2.0/program/libsoffice.so
0063e000-0068d000 r-xp 00000000 08:09 1666484   
/usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3
0068d000-00690000 rwxp 0004f000 08:09 1666484   
/usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3
00690000-006a7000 r-xp 00000000 08:09 7649156    /usr/lib/libICE.so.6.3.0
006a7000-006a8000 rwxp 00016000 08:09 7649156    /usr/lib/libICE.so.6.3.0
006a8000-006aa000 rwxp 006a8000 00:00 0
006aa000-006ac000 r-xp 00000000 08:09 7652212    /usr/lib/libXau.so.6.0.0
006ac000-006ad000 rwxp 00001000 08:09 7652212    /usr/lib/libXau.so.6.0.0
006ad000-006ae000 r-xp 006ad000 00:00 0          [vdso]
006ae000-006c7000 r-xp 00000000 08:09 7156507    /lib/ld-2.4.so
006c7000-006c8000 r-xp 00018000 08:09 7156507    /lib/ld-2.4.so
006c8000-006c9000 rwxp 00019000 08:09 7156507    /lib/ld-2.4.so
006c9000-009a4000 r-xp 00000000 08:09 1666464   
/usr/lib/openoffice.org2.0/program/libsvt680li.so
009a4000-009c5000 rwxp 002db000 08:09 1666464   
/usr/lib/openoffice.org2.0/program/libsvt680li.so
009c5000-009c6000 rwxp 009c5000 00:00 0
009c6000-00a70000 r-xp 00000000 08:09 1666717   
/usr/lib/openoffice.org2.0/program/libcomphelp4gcc3.so
00a70000-00a78000 rwxp 000a9000 08:09 1666717   
/usr/lib/openoffice.org2.0/program/libcomphelp4gcc3.so
00a78000-00a79000 rwxp 00a78000 00:00 0
00a79000-00aa4000 r-xp 00000000 08:09 1666482   
/usr/lib/openoffice.org2.0/program/libuno_cppu.so.3
00aa4000-00aa5000 rwxp 0002a000 08:09 1666482   
/usr/lib/openoffice.org2.0/program/libuno_cppu.so.3
00aa5000-00ab5000 r-xp 00000000 08:09 7157139    /lib/libpthread-2.4.so
00ab5000-00ab6000 r-xp 0000f000 08:09 7157139    /lib/libpthread-2.4.so
00ab6000-00ab7000 rwxp 00010000 08:09 7157139    /lib/libpthread-2.4.so
00ab7000-00ab9000 rwxp 00ab7000 00:00 0
00ab9000-00ae8000 r-xp 00000000 08:09 1666375   
/usr/lib/openoffice.org2.0/program/libfwi680li.so
00ae8000-00aea000 rwxp 0002e000 08:09 1666375   
/usr/lib/openoffice.org2.0/program/libfwi680li.so
00aea000-00c16000 r-xp 00000000 08:09 7155187    /lib/libc-2.4.so
00c16000-00c19000 r-xp 0012b000 08:09 7155187    /lib/libc-2.4.so
00c19000-00c1a000 rwxp 0012e000 08:09 7155187    /lib/libc-2.4.so
00c1a000-00c1d000 rwxp 00c1a000 00:00 0
00c1d000-00dbb000 r-xp 00000000 08:09 1666486   
/usr/lib/openoffice.org2.0/program/libuno_sal.so.3
00dbb000-00dcf000 rwxp 0019d000 08:09 1666486   
/usr/lib/openoffice.org2.0/program/libuno_sal.so.3
00dcf000-00e40000 r-xp 00000000 08:09 1666497   
/usr/lib/openoffice.org2.0/program/libxcr680li.so
00e40000-00e45000 rwxp 00070000 08:09 1666497   
/usr/lib/openoffice.org2.0/program/libxcr680li.so
00e45000-00e5d000 r-xp 00000000 08:09 1666377   
/usr/lib/openoffice.org2.0/program/libfwl680li.so
00e5d000-00e5e000 rwxp 00018000 08:09 1666377   
/usr/lib/openoffice.org2.0/program/libfwl680li.so
00e5e000-00e61000 r-xp 00000000 08:09 1666488   
/usr/lib/openoffice.org2.0/program/libuno_salhelpergcc3.so.3
00e61000-00e62000 rwxp 00002000 08:09 1666488   
/usr/lib/openoffice.org2.0/program/libuno_salhelpergcc3.so.3
00e62000-00f42000 r-xp 00000000 08:09 7656596    /usr/lib/libstdc++.so.6.0.8
00f42000-00f45000 r-xp 000df000 08:09 7656596    /usr/lib/libstdc++.so.6.0.8
00f45000-00f47000 rwxp 000e2000 08:09 7656596    /usr/lib/libstdc++.so.6.0.8
00f47000-00f4d000 rwxp 00f47000 00:00 0
00f4d000-010cf000 r-xp 00000000 08:09 1666470   
/usr/lib/openoffice.org2.0/program/libtk680li.so
010cf000-010f3000 rwxp 00182000 08:09 1666470   
/usr/lib/openoffice.org2.0/program/libtk680li.so
010f3000-010f5000 rwxp 010f3000 00:00 0
010f5000-013ab000 r-xp 00000000 08:09 1666451   
/usr/lib/openoffice.org2.0/program/libsfx680li.so
013ab000-013c4000 rwxp 002b6000 08:09 1666451   
/usr/lib/openoffice.org2.0/program/libsfx680li.so
013c4000-0140e000 r-xp 00000000 08:09 1666700   
/usr/lib/openoffice.org2.0/program/libbasegfx680li.so
0140e000-0140f000 rwxp 0004a000 08:09 1666700   
/usr/lib/openoffice.org2.0/program/libbasegfx680li.so
0140f000-0143b000 r-xp 00000000 08:09 7656464   
/usr/lib/libgnomecanvas-2.so.0.1400.0
0143b000-0143c000 rwxp 0002c000 08:09 7656464   
/usr/lib/libgnomecanvas-2.so.0.1400.0
0143c000-01560000 r-xp 00000000 08:09 7649722    /usr/lib/libxml2.so.2.6.23
01560000-01568000 rwxp 00124000 08:09 7649722    /usr/lib/libxml2.so.2.6.23
01568000-01569000 rwxp 01568000 00:00 0
01569000-01583000 r-xp 00000000 08:09 7652796    /usr/lib/libatk-1.0.so.0.1114.0
01583000-01585000 rwxp 00019000 08:09 7652796    /usr/lib/libatk-1.0.so.0.1114.0
01585000-0159c000 r-xp 00000000 08:09 7654770   
/usr/lib/libgdk_pixbuf-2.0.so.0.800.17
0159c000-0159d000 rwxp 00016000 08:09 7654770   
/usr/lib/libgdk_pixbuf-2.0.so.0.800.17
0159d000-015a5000 r-xp 00000000 08:09 7658465   
/usr/lib/libpangocairo-1.0.so.0.1200.1
015a5000-015a6000 rwxp 00007000 08:09 7658465   
/usr/lib/libpangocairo-1.0.so.0.1200.1
015a6000-015e2000 r-xp 00000000 08:09 7653719    /usr/lib/libpango-1.0.so.0.1200.1
015e2000-015e4000 rwxp 0003b000 08:09 7653719    /usr/lib/libpango-1.0.so.0.1200.1
015e4000-01635000 r-xp 00000000 08:09 7656515    /usr/lib/libcairo.so.2.2.4
01635000-01636000 rwxp 00051000 08:09 7656515    /usr/lib/libcairo.so.2.2.4
01636000-01674000 r-xp 00000000 08:09 7653163    /usr/lib/libgobject-2.0.so.0.1000.2
01674000-01675000 rwxp 0003e000 08:09 7653163    /usr/lib/libgobject-2.0.so.0.1000.2
01675000-0167a000 r-xp 00000000 08:09 7157119    /lib/libcrypt-2.4.so
0167a000-0167b000 r-xp 00004000 08:09 7157119    /lib/libcrypt-2.4.so
0167b000-0167c000 rwxp 00005000 08:09 7157119    /lib/libcrypt-2.4.so
0167c000-016a3000 rwxp 0167c000 00:00 0
016a3000-016ca000 r-xp 00000000 08:09 7651961    /usr/lib/libpng12.so.0.1.2.8
016ca000-016cb000 rwxp 00026000 08:09 7651961    /usr/lib/libpng12.so.0.1.2.8
016cb000-016cf000 r-xp 00000000 08:09 7654789    /usr/lib/libgthread-2.0.so.0.1000.2
016cf000-016d0000 rwxp 00003000 08:09 7654789    /usr/lib/libgthread-2.0.so.0.1000.2
016d0000-016d1000 r-xp 00000000 08:09 7719309    /usr/lib/gconv/ISO8859-1.so
016d1000-016d3000 rwxp 00000000 08:09 7719309    /usr/lib/gconv/ISO8859-1.so
016d3000-016d9000 r-xp 00000000 08:09 1666534   
/usr/lib/openoffice.org2.0/program/shlibloader.uno.so
016d9000-016da000 rwxp 00005000 08:09 1666534   
/usr/lib/openoffice.org2.0/program/shlibloader.uno.so
016da000-016e7000 r-xp 00000000 08:09 1666512   
/usr/lib/openoffice.org2.0/program/nestedreg.uno.so
016e7000-016e8000 rwxp 0000d000 08:09 1666512   
/usr/lib/openoffice.org2.0/program/nestedreg.uno.so
016e8000-01705000 r-xp 00000000 08:09 1666550   
/usr/lib/openoffice.org2.0/program/typemgr.uno.so
01705000-01707000 rwxp 0001c000 08:09 1666550   
/usr/lib/openoffice.org2.0/program/typemgr.uno.so
01707000-01716000 r-xp 00000000 08:09 1666685   
/usr/lib/openoffice.org2.0/program/implreg.uno.so
01716000-01717000 rwxp 0000f000 08:09 1666685   
/usr/lib/openoffice.org2.0/program/implreg.uno.so
01717000-0172e000 r-xp 00000000 08:09 1666527   
/usr/lib/openoffice.org2.0/program/security.uno.so
0172e000-01730000 rwxp 00016000 08:09 1666527   
/usr/lib/openoffice.org2.0/program/security.uno.so
01730000-01749000 r-xp 00000000 08:09 1666461   
/usr/lib/openoffice.org2.0/program/libstore.so.3
01749000-0174a000 rwxp 00019000 08:09 1666461   
/usr/lib/openoffice.org2.0/program/libstore.so.3
0174a000-0174e000 rwxp 0174a000 00:00 0
0174e000-01756000 r-xp 00000000 08:09 1666549    /usr/lib/open
Program received signal SIGABRT, Aborted.
[Switching to Thread -1217489232 (LWP 11802)]
0x006ad402 in __kernel_vsyscall ()
(gdb) bt
#0  0x006ad402 in __kernel_vsyscall ()
#1  0x00b12159 in raise () from /lib/libc.so.6
#2  0x00b136e3 in abort () from /lib/libc.so.6
#3  0x00b46a0b in __libc_message () from /lib/libc.so.6
#4  0x00b5183d in realloc () from /lib/libc.so.6
#5  0x03bf3b6e in FcPatternInsertElt (p=0xb46a2004,
    object=0x856f608 "globaladvance") at fcpat.c:749
#6  0x03be361f in FcConfigPatternAdd (p=Variable "p" is not available.
) at fccfg.c:1331
#7  0x03be3cd4 in FcConfigSubstituteWithPat (config=0x856a640, p=0xb46a2004,
    p_pat=0x0, kind=FcMatchFont) at fccfg.c:1525
#8  0x03be41a3 in FcConfigSubstitute (config=0x856a640, p=0xb46a2004,
    kind=FcMatchFont) at fccfg.c:1592
#9  0x062426f8 in psp::PrintFontManager::matchFont ()
   from /usr/lib/openoffice.org2.0/program/libpsp680li.so
#10 0x06241cc1 in psp::PrintFontManager::initFontconfig ()
   from /usr/lib/openoffice.org2.0/program/libpsp680li.so
#11 0x0622e0ad in psp::PrintFontManager::initialize ()
   from /usr/lib/openoffice.org2.0/program/libpsp680li.so
#12 0x0622f0e7 in psp::PrintFontManager::get ()
   from /usr/lib/openoffice.org2.0/program/libpsp680li.so
#13 0x06b504c8 in cppu::getTypeFavourUnsigned<short> ()
   from /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so
#14 0x06b53344 in cppu::getTypeFavourUnsigned<short> ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so
#15 0x002f5611 in Window::SetPosSizePixel ()
   from /usr/lib/openoffice.org2.0/program/libvcl680li.so
#16 0x0029d6d7 in Accelerator::RemoveItem ()
   from /usr/lib/openoffice.org2.0/program/libvcl680li.so
#17 0x0029d7d1 in Accelerator::RemoveItem ()
   from /usr/lib/openoffice.org2.0/program/libvcl680li.so
#18 0x00300c90 in WorkWindow::WorkWindow$base ()
   from /usr/lib/openoffice.org2.0/program/libvcl680li.so
#19 0x00300e66 in WorkWindow::WorkWindow ()
   from /usr/lib/openoffice.org2.0/program/libvcl680li.so
#20 0x00ff1a25 in non-virtual thunk to VCLXMenu::getPopupMenu(short) ()
   from /usr/lib/openoffice.org2.0/program/libtk680li.so
#21 0x00ff2725 in non-virtual thunk to VCLXMenu::getPopupMenu(short) ()
   from /usr/lib/openoffice.org2.0/program/libtk680li.so
#22 0x025ca36e in component_writeInfo ()
   from /usr/lib/openoffice.org2.0/program/libfwk680li.so
#23 0x025ca77b in component_writeInfo ()
   from /usr/lib/openoffice.org2.0/program/libfwk680li.so
#24 0x0258d62d in ?? () from /usr/lib/openoffice.org2.0/program/libfwk680li.so
#25 0x00612b32 in desktop::Desktop::Main ()
   from /usr/lib/openoffice.org2.0/program/libsoffice.so
#26 0x001bcd0e in InitVCL ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/openoffice.org2.0/program/libvcl680li.so
#27 0x001bcdc1 in SVMain ()
   from /usr/lib/openoffice.org2.0/program/libvcl680li.so
#28 0x0060d2d3 in sal_main ()
   from /usr/lib/openoffice.org2.0/program/libsoffice.so
#29 0x0060d31f in main () from /usr/lib/openoffice.org2.0/program/libsoffice.so
#30 0x00aff7e4 in __libc_start_main () from /lib/libc.so.6
#31 0x080484b1 in _start ()


Version-Release number of selected component (if applicable):
2.0.2-5.10.3

How reproducible:
always

Steps to Reproduce:
1. $ooffice
2.
3.
  
Actual results:


Expected results:


Additional info:
fontconfig-2.3.94-1
Comment 1 Caolan McNamara 2006-04-24 07:36:27 EDT
crap, I hate fontconfig. Fix checked in. building...
Comment 2 Caolan McNamara 2006-04-24 09:22:27 EDT
*** Bug 189758 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.